TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get extended address information

POST
/api/v2/getExtendedAddressInformation

Returns detailed account information with parsed contract state. For recognized contract types, returns type-specific state fields. For other contracts, returns the raw state.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/getExtendedAddressInformation" \  -H "Content-Type: application/json" \  -d '{    "address": "string"  }'
{  "ok": true,  "result": {    "@type": "fullAccountState",    "address": {      "@type": "accountAddress",      "account_address": "string"    },    "balance": "string",    "extra_currencies": [      {        "@type": "extraCurrency",        "id": 0,        "amount": "string"      }    ],    "last_transaction_id": {      "@type": "internal.transactionId",      "lt": "string",      "hash": "string"    },    "block_id": {      "@type": "ton.blockIdExt",      "workchain": 0,      "shard": "string",      "seqno": 0,      "root_hash": "string",      "file_hash": "string"    },    "sync_utime": 0,    "account_state": {      "@type": "raw.accountState",      "code": "string",      "data": "string",      "frozen_hash": "string"    },    "revision": 0  },  "@extra": "string"}